regenerated makefile
[scilab.git] / scilab / modules / mpi / Makefile.in
1 # Makefile.in generated by automake 1.11 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6 # Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU
20 # Copyright (C) 2009 - DIGITEO - Sylvestre LEDRU
21 #
22 # This file must be used under the terms of the CeCILL.
23 # This source file is licensed as described in the file COPYING, which
24 # you should have received as part of this distribution.  The terms
25 # are also available at
26 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
27
28 # List of the c files
29 #MPI_C_SOURCES = src/c/s_mpi_irecv.c \
30 #src/c/build_buff_type.c \
31 #src/c/s_mpi_recv.c \
32 #src/c/s_mpi_send.c \
33 #src/c/s_mpi_isend.c
34
35 # List of the fortran files
36 #MPI_FORTRAN_SOURCES = src/fortran/intsmpi_isend.f \
37 #src/fortran/intmpi.f \
38 #src/fortran/intsmpi_send.f \
39 #src/fortran/intsmpi_recv.f \
40 #src/fortran/intsmpi_comm_rank.f \
41 #src/fortran/intsmpi_irecv.f \
42 #src/fortran/intsmpi_init.f \
43 #src/fortran/intsmpi_finalize.f \
44 #src/fortran/intsmpi_comm_size.f
45 #src/fortran/mpi_init.f
46
47 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
48 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
49 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
50 #
51 # This file must be used under the terms of the CeCILL.
52 # This source file is licensed as described in the file COPYING, which
53 # you should have received as part of this distribution.  The terms
54 # are also available at
55 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
56 #
57
58 ##########
59 ### Makefile included stuff
60 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
61 ##########
62
63
64
65
66 VPATH = @srcdir@
67 pkgdatadir = $(datadir)/@PACKAGE@
68 pkgincludedir = $(includedir)/@PACKAGE@
69 pkglibdir = $(libdir)/@PACKAGE@
70 pkglibexecdir = $(libexecdir)/@PACKAGE@
71 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
72 install_sh_DATA = $(install_sh) -c -m 644
73 install_sh_PROGRAM = $(install_sh) -c
74 install_sh_SCRIPT = $(install_sh) -c
75 INSTALL_HEADER = $(INSTALL_DATA)
76 transform = $(program_transform_name)
77 NORMAL_INSTALL = :
78 PRE_INSTALL = :
79 POST_INSTALL = :
80 NORMAL_UNINSTALL = :
81 PRE_UNINSTALL = :
82 POST_UNINSTALL = :
83 build_triplet = @build@
84 host_triplet = @host@
85 bin_PROGRAMS = mpitest$(EXEEXT) mpi_pi$(EXEEXT)
86 DIST_COMMON = $(libscimpi_la_include_HEADERS) $(srcdir)/Makefile.am \
87         $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am TODO
88 @NEED_JAVA_TRUE@am__append_1 = java
89 subdir = modules/mpi
90 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
91 am__aclocal_m4_deps = $(top_srcdir)/m4/docbook.m4 \
92         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
93         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
94         $(top_srcdir)/m4/intel_compiler.m4 \
95         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
96         $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/libsmath.m4 \
97         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/libxml2.m4 \
98         $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
99         $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
100         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
101         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
102         $(top_srcdir)/m4/pvm.m4 $(top_srcdir)/m4/relocatable.m4 \
103         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
104         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
105         $(top_srcdir)/configure.ac
106 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
107         $(ACLOCAL_M4)
108 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
109 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
110 CONFIG_CLEAN_FILES =
111 CONFIG_CLEAN_VPATH_FILES =
112 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
113 am__vpath_adj = case $$p in \
114     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
115     *) f=$$p;; \
116   esac;
117 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
118 am__install_max = 40
119 am__nobase_strip_setup = \
120   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
121 am__nobase_strip = \
122   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
123 am__nobase_list = $(am__nobase_strip_setup); \
124   for p in $$list; do echo "$$p $$p"; done | \
125   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
126   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
127     if (++n[$$2] == $(am__install_max)) \
128       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
129     END { for (dir in files) print dir, files[dir] }'
130 am__base_list = \
131   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
132   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
133 am__installdirs = "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(bindir)" \
134         "$(DESTDIR)$(libscimpi_la_etcdir)" \
135         "$(DESTDIR)$(libscimpi_la_rootdir)" \
136         "$(DESTDIR)$(libscimpi_la_sci_gatewaydir)" \
137         "$(DESTDIR)$(libscimpi_la_includedir)"
138 LTLIBRARIES = $(pkglib_LTLIBRARIES)
139 libscimpi_la_DEPENDENCIES =  \
140         $(top_builddir)/modules/localization/libscilocalization.la \
141         $(top_builddir)/modules/core/libscicore.la
142 am__objects_1 = libscimpi_la-sci_mpi_init.lo \
143         libscimpi_la-sci_mpi_finalize.lo \
144         libscimpi_la-sci_mpi_comm_size.lo \
145         libscimpi_la-sci_mpi_comm_rank.lo libscimpi_la-gw_mpi.lo \
146         libscimpi_la-sci_mpi_recv.lo libscimpi_la-sci_mpi_send.lo \
147         libscimpi_la-build_buff_type.lo libscimpi_la-s_mpi_recv.lo \
148         libscimpi_la-s_mpi_send.lo
149 am__objects_2 = libscimpi_la-mappingScilabMPI.lo
150 am_libscimpi_la_OBJECTS = $(am__objects_1) $(am__objects_2)
151 libscimpi_la_OBJECTS = $(am_libscimpi_la_OBJECTS)
152 libscimpi_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
153         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(libscimpi_la_CFLAGS) \
154         $(CFLAGS) $(libscimpi_la_LDFLAGS) $(LDFLAGS) -o $@
155 PROGRAMS = $(bin_PROGRAMS)
156 am__objects_3 = mpi_pi_send.$(OBJEXT) dboard.$(OBJEXT)
157 am_mpi_pi_OBJECTS = $(am__objects_3)
158 mpi_pi_OBJECTS = $(am_mpi_pi_OBJECTS)
159 mpi_pi_LDADD = $(LDADD)
160 mpi_pi_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
161         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(mpi_pi_LDFLAGS) \
162         $(LDFLAGS) -o $@
163 am__objects_4 = mpitest.$(OBJEXT)
164 am_mpitest_OBJECTS = $(am__objects_4)
165 mpitest_OBJECTS = $(am_mpitest_OBJECTS)
166 mpitest_LDADD = $(LDADD)
167 mpitest_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
168         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(mpitest_LDFLAGS) \
169         $(LDFLAGS) -o $@
170 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
171 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
172 am__depfiles_maybe = depfiles
173 am__mv = mv -f
174 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
175         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
176 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
177         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
178         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
179 CCLD = $(CC)
180 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
181         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
182         $(LDFLAGS) -o $@
183 SOURCES = $(libscimpi_la_SOURCES) $(mpi_pi_SOURCES) $(mpitest_SOURCES)
184 DIST_SOURCES = $(libscimpi_la_SOURCES) $(mpi_pi_SOURCES) \
185         $(mpitest_SOURCES)
186 DATA = $(libscimpi_la_etc_DATA) $(libscimpi_la_root_DATA) \
187         $(libscimpi_la_sci_gateway_DATA)
188 HEADERS = $(libscimpi_la_include_HEADERS)
189 ETAGS = etags
190 CTAGS = ctags
191 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
192 ACLOCAL = @ACLOCAL@
193 ALL_LINGUAS = @ALL_LINGUAS@
194 AMTAR = @AMTAR@
195 ANT = @ANT@
196 ANTLR = @ANTLR@
197 AR = @AR@
198 AUTOCONF = @AUTOCONF@
199 AUTOHEADER = @AUTOHEADER@
200 AUTOMAKE = @AUTOMAKE@
201 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
202 AWK = @AWK@
203 BATIK = @BATIK@
204 BLAS_LIBS = @BLAS_LIBS@
205
206 #sci_gateway/c/sci_mpi_isend.c \
207 #sci_gateway/c/sci_mpi_irecv.c \
208 #sci_gateway/c/sci_mpi_comm_rank.c \
209 #sci_gateway/c/sci_mpi_comm_size.c
210
211 # Includes need for the compilation
212 # MPI code needs to be compile with the openmpi 'compiler' (it is a wrapper)
213 CC = $(OPENMPI_CC)
214 CCDEPMODE = @CCDEPMODE@
215 CFLAGS = @CFLAGS@
216 CHECKSTYLE = @CHECKSTYLE@
217 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
218 COMMONS_IO = @COMMONS_IO@
219 COMMONS_LOGGING = @COMMONS_LOGGING@
220 CPP = @CPP@
221 CPPFLAGS = @CPPFLAGS@
222 CXX = @CXX@
223 CXXCPP = @CXXCPP@
224 CXXDEPMODE = @CXXDEPMODE@
225 CXXFLAGS = @CXXFLAGS@
226 CYGPATH_W = @CYGPATH_W@
227 DEFS = @DEFS@
228 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
229 DEPDIR = @DEPDIR@
230 DOCBOOK_ROOT = @DOCBOOK_ROOT@
231 DSYMUTIL = @DSYMUTIL@
232 DUMPBIN = @DUMPBIN@
233 ECHO_C = @ECHO_C@
234 ECHO_N = @ECHO_N@
235 ECHO_T = @ECHO_T@
236 EGREP = @EGREP@
237 EXEEXT = @EXEEXT@
238 F77 = @F77@
239 FFLAGS = @FFLAGS@
240 FFTW3_LIB = @FFTW3_LIB@
241 FFTW_ENABLE = @FFTW_ENABLE@
242 FGREP = @FGREP@
243 FLEXDOCK = @FLEXDOCK@
244 FLIBS = @FLIBS@
245 FOP = @FOP@
246 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
247 GIWS_BIN = @GIWS_BIN@
248 GLUEGEN_RT = @GLUEGEN_RT@
249 GMSGFMT = @GMSGFMT@
250 GMSGFMT_015 = @GMSGFMT_015@
251 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
252 GREP = @GREP@
253 GUI_ENABLE = @GUI_ENABLE@
254 HDF5_CFLAGS = @HDF5_CFLAGS@
255 HDF5_ENABLE = @HDF5_ENABLE@
256 HDF5_LIBS = @HDF5_LIBS@
257 HELP_ENABLE = @HELP_ENABLE@
258 INSTALL = @INSTALL@
259 INSTALL_DATA = @INSTALL_DATA@
260 INSTALL_PROGRAM = @INSTALL_PROGRAM@
261 INSTALL_SCRIPT = @INSTALL_SCRIPT@
262 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
263 INTLLIBS = @INTLLIBS@
264 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
265 JAR = @JAR@
266 JAVA = @JAVA@
267 JAVAC = @JAVAC@
268 JAVAH = @JAVAH@
269 JAVASCI_ENABLE = @JAVASCI_ENABLE@
270 JAVA_DEBUG_OPTIONS = @JAVA_DEBUG_OPTIONS@
271 JAVA_ENABLE = @JAVA_ENABLE@
272 JAVA_G = @JAVA_G@
273 JAVA_HOME = @JAVA_HOME@
274 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
275 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
276 JDB = @JDB@
277 JEUCLID_CORE = @JEUCLID_CORE@
278 JGRAPHX = @JGRAPHX@
279 JHALL = @JHALL@
280 JHDF5 = @JHDF5@
281 JLATEXMATH = @JLATEXMATH@
282 JOGL = @JOGL@
283 JROSETTA_API = @JROSETTA_API@
284 JROSETTA_ENGINE = @JROSETTA_ENGINE@
285 LAPACK_LIBS = @LAPACK_LIBS@
286 LD = @LD@
287 LDFLAGS = @LDFLAGS@
288 LIBICONV = @LIBICONV@
289 LIBINTL = @LIBINTL@
290 LIBOBJS = @LIBOBJS@
291 LIBS = @LIBS@
292 LIBTOOL = @LIBTOOL@
293 LIPO = @LIPO@
294 LN_S = @LN_S@
295 LOOKS = @LOOKS@
296 LTLIBICONV = @LTLIBICONV@
297 LTLIBINTL = @LTLIBINTL@
298 LTLIBOBJS = @LTLIBOBJS@
299 MAINT = @MAINT@
300 MAKEINFO = @MAKEINFO@
301 MATIO_CFLAGS = @MATIO_CFLAGS@
302 MATIO_ENABLE = @MATIO_ENABLE@
303 MATIO_LIBS = @MATIO_LIBS@
304 MKDIR_P = @MKDIR_P@
305 MPI_ENABLE = @MPI_ENABLE@
306 MSGCAT = @MSGCAT@
307 MSGFMT = @MSGFMT@
308 MSGFMT_015 = @MSGFMT_015@
309 MSGMERGE = @MSGMERGE@
310 NM = @NM@
311 NMEDIT = @NMEDIT@
312 OBJDUMP = @OBJDUMP@
313 OBJEXT = @OBJEXT@
314 OCAMLC = @OCAMLC@
315 OCAMLDEP = @OCAMLDEP@
316 OCAMLLEX = @OCAMLLEX@
317 OCAMLOPT = @OCAMLOPT@
318 OCAMLYACC = @OCAMLYACC@
319 OPENMPI_CC = @OPENMPI_CC@
320 OPENMPI_FLAGS = @OPENMPI_FLAGS@
321 OPENMPI_LIBS = @OPENMPI_LIBS@
322 OTOOL = @OTOOL@
323 OTOOL64 = @OTOOL64@
324 PACKAGE = @PACKAGE@
325 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
326 PACKAGE_NAME = @PACKAGE_NAME@
327 PACKAGE_STRING = @PACKAGE_STRING@
328 PACKAGE_TARNAME = @PACKAGE_TARNAME@
329 PACKAGE_URL = @PACKAGE_URL@
330 PACKAGE_VERSION = @PACKAGE_VERSION@
331 PATH_SEPARATOR = @PATH_SEPARATOR@
332 PCRE_CFLAGS = @PCRE_CFLAGS@
333 PCRE_CONFIG = @PCRE_CONFIG@
334 PCRE_LIBS = @PCRE_LIBS@
335 PCRE_VERSION = @PCRE_VERSION@
336 PKG_CONFIG = @PKG_CONFIG@
337 POSUB = @POSUB@
338 POW_LIB = @POW_LIB@
339 PVMGETARCH = @PVMGETARCH@
340 PVM_ARCH = @PVM_ARCH@
341 PVM_ENABLE = @PVM_ENABLE@
342 PVM_INCLUDE = @PVM_INCLUDE@
343 PVM_LIB = @PVM_LIB@
344 PYTHON = @PYTHON@
345 RANLIB = @RANLIB@
346 RELOCATABLE = @RELOCATABLE@
347 RT_LIB = @RT_LIB@
348 SAXON = @SAXON@
349 SCICOS_ENABLE = @SCICOS_ENABLE@
350 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
351 SED = @SED@
352 SET_MAKE = @SET_MAKE@
353 SET_RELOCATABLE = @SET_RELOCATABLE@
354 SHELL = @SHELL@
355 SKINLF = @SKINLF@
356 SPLINT = @SPLINT@
357 STRIP = @STRIP@
358 SWIG_BIN = @SWIG_BIN@
359 SWIG_JAVA = @SWIG_JAVA@
360 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
361 TCLTK_LIBS = @TCLTK_LIBS@
362 TCL_INC_PATH = @TCL_INC_PATH@
363 TK_INC_PATH = @TK_INC_PATH@
364 UMFPACK_ENABLE = @UMFPACK_ENABLE@
365 UMFPACK_LIB = @UMFPACK_LIB@
366 USE_NLS = @USE_NLS@
367 VERSION = @VERSION@
368 WITH_OCAML = @WITH_OCAML@
369 WITH_TKSCI = @WITH_TKSCI@
370 XGETTEXT = @XGETTEXT@
371 XGETTEXT_015 = @XGETTEXT_015@
372 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
373 XMKMF = @XMKMF@
374 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
375 XML_APIS_EXT = @XML_APIS_EXT@
376 XML_CONFIG = @XML_CONFIG@
377 XML_FLAGS = @XML_FLAGS@
378 XML_LIBS = @XML_LIBS@
379 XML_VERSION = @XML_VERSION@
380 X_CFLAGS = @X_CFLAGS@
381 X_EXTRA_LIBS = @X_EXTRA_LIBS@
382 X_LIBS = @X_LIBS@
383 X_PRE_LIBS = @X_PRE_LIBS@
384 abs_builddir = @abs_builddir@
385 abs_srcdir = @abs_srcdir@
386 abs_top_builddir = @abs_top_builddir@
387 abs_top_srcdir = @abs_top_srcdir@
388 ac_ct_CC = @ac_ct_CC@
389 ac_ct_CXX = @ac_ct_CXX@
390 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
391 ac_ct_F77 = @ac_ct_F77@
392 am__include = @am__include@
393 am__leading_dot = @am__leading_dot@
394 am__quote = @am__quote@
395 am__tar = @am__tar@
396 am__untar = @am__untar@
397 bindir = @bindir@
398 build = @build@
399 build_alias = @build_alias@
400 build_cpu = @build_cpu@
401 build_os = @build_os@
402 build_vendor = @build_vendor@
403 builddir = @builddir@
404 cxx_present = @cxx_present@
405 datadir = @datadir@
406 datarootdir = @datarootdir@
407 docdir = @docdir@
408 dvidir = @dvidir@
409 exec_prefix = @exec_prefix@
410 host = @host@
411 host_alias = @host_alias@
412 host_cpu = @host_cpu@
413 host_os = @host_os@
414 host_vendor = @host_vendor@
415 htmldir = @htmldir@
416 includedir = @includedir@
417 infodir = @infodir@
418 install_sh = @install_sh@
419 libdir = @libdir@
420 libexecdir = @libexecdir@
421 localedir = @localedir@
422 localstatedir = @localstatedir@
423 mandir = @mandir@
424 mkdir_p = @mkdir_p@
425 oldincludedir = @oldincludedir@
426 pdfdir = @pdfdir@
427 prefix = @prefix@
428 program_transform_name = @program_transform_name@
429 psdir = @psdir@
430 sbindir = @sbindir@
431 sharedstatedir = @sharedstatedir@
432 srcdir = @srcdir@
433 sysconfdir = @sysconfdir@
434 target_alias = @target_alias@
435 top_build_prefix = @top_build_prefix@
436 top_builddir = @top_builddir@
437 top_srcdir = @top_srcdir@
438 MPI_TEST_EXE_SOURCES = src/c/mpitest.c
439 mpitest_SOURCES = $(MPI_TEST_EXE_SOURCES)
440 mpitest_LDFLAGS = $(OPENMPI_LIBS)
441 MPI_PI_SOURCES = src/c/mpi_pi_send.c src/c/dboard.c
442 mpi_pi_SOURCES = $(MPI_PI_SOURCES)
443 mpi_pi_LDFLAGS = $(OPENMPI_LIBS)
444 MPI_C_SOURCES = src/c/mappingScilabMPI.c
445
446 # List of the gateway c files
447 GATEWAY_C_SOURCES = sci_gateway/c/sci_mpi_init.c \
448 sci_gateway/c/sci_mpi_finalize.c \
449 sci_gateway/c/sci_mpi_comm_size.c \
450 sci_gateway/c/sci_mpi_comm_rank.c \
451 sci_gateway/c/gw_mpi.c \
452 sci_gateway/c/sci_mpi_recv.c \
453 sci_gateway/c/sci_mpi_send.c \
454 src/c/build_buff_type.c \
455 src/c/s_mpi_recv.c \
456 src/c/s_mpi_send.c
457
458 libscimpi_la_CFLAGS = -Iincludes/ \
459         -Isrc/c/ \
460         -I$(top_srcdir)/libs/MALLOC/includes/ \
461         -I$(top_srcdir)/modules/output_stream/includes \
462         -I$(top_srcdir)/modules/api_scilab/includes \
463         -DDEBUG
464
465 libscimpi_la_LDFLAGS = $(OPENMPI_LIBS)
466 # $(LAMPI_LDFLAGS)
467
468 # Name of the future library (.la will be replace by .so, .a, etc regarding 
469 # the system)
470 pkglib_LTLIBRARIES = libscimpi.la
471
472 # All the sources needed by libscimpi.la
473 libscimpi_la_SOURCES = $(GATEWAY_C_SOURCES)  $(MPI_C_SOURCES)
474 #$(GATEWAY_FORTRAN_SOURCES) $(MPI_FORTRAN_SOURCES)
475 libscimpi_la_LIBADD = \
476         $(top_builddir)/modules/localization/libscilocalization.la \
477         $(top_builddir)/modules/core/libscicore.la
478
479 #       $(top_builddir)/libs/MALLOC/libscimalloc.la
480
481 #### Target ######
482
483 #### mpi : Conf files ####
484 libscimpi_la_rootdir = $(mydatadir)
485 libscimpi_la_root_DATA = changelog.txt licence.txt readme.txt VERSION
486
487 #### mpi : init scripts #### 
488 libscimpi_la_etcdir = $(mydatadir)/etc
489 libscimpi_la_etc_DATA = etc/mpi.quit etc/mpi.start
490
491 #### mpi : gateway declaration #### 
492 libscimpi_la_sci_gatewaydir = $(mydatadir)/sci_gateway
493 libscimpi_la_sci_gateway_DATA = sci_gateway/mpi_gateway.xml
494
495 #### mpi : include files ####
496 libscimpi_la_includedir = $(pkgincludedir)/mpi
497 libscimpi_la_include_HEADERS = includes/gw_mpi.h
498
499 # Where all the Scilab stuff is installed (macros, help, ...)
500 mydatadir = $(pkgdatadir)/modules/$(modulename)
501
502 # splint options
503 SPLINT_OPTIONS = -weak -booltype BOOL
504
505 ########################### JAVA ######################################
506 #### We are delegating java compilation to ant... Thanks to that
507 #### the procedure will be the same with Microsoft Windows (C)
508 #### and Linux/Unix
509 #######################################################################
510 TARGETS_ALL = $(am__append_1)
511
512 ################ MACROS ######################
513 # Rule to build a macro
514 # NOT USED  AT THE MOMENT
515 SUFFIXES = .sci 
516
517 ########### INSTALL DOCUMENTATION ###################
518
519 # Install documentation files into the right target
520 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
521 # automake needs the html files to be present which is not the case when
522 # we are building Scilab
523
524 # Where it should be installed
525 pkgdocdir = $(mydatadir)
526
527 # What is the mask of the help source
528 DOCMASKXML = *.xml
529
530 # What is the mask of the MathML sources
531 DOCMASKMML = *.mml
532
533 ########### INSTALL DATA ###################
534 # Install macros, help & demos
535 # Where it should be installed
536 pkgmacrosdir = $(mydatadir)
537 # Which directory we process
538 MACRODIRS = macros/
539 # Mask of the Scilab sources macros
540 MACROMASK = *.sci
541 # Mask of the Scilab executable sources macros
542 MACROBUILDMASK = *.sce
543 # Mask of the Scilab compiled macros
544 MACROBINMASK = *.bin
545 # List of the standard directory for tests
546 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests
547 # Where the demos should be installed
548 pkgdemosdir = $(mydatadir)
549 # List of the standard directory for demos
550 DEMOS_DIR = demos
551 # List of the standard directory for examples
552 EXAMPLES_DIR = examples
553 # Where to export JAVA archives (.jar)
554 JARDIR = jar/
555 # JAR files mask
556 JARMASK = *.jar
557 # Chapter file 
558 HELP_CHAPTERDIR = help/
559 HELP_CHAPTERFILE = addchapter.sce
560 HELP_CHAPTERLANG = en_US fr_FR pt_BR
561 all: all-am
562
563 .SUFFIXES:
564 .SUFFIXES: .sci .bin .c .lo .o .obj
565 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
566         @for dep in $?; do \
567           case '$(am__configure_deps)' in \
568             *$$dep*) \
569               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
570                 && { if test -f $@; then exit 0; else break; fi; }; \
571               exit 1;; \
572           esac; \
573         done; \
574         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/mpi/Makefile'; \
575         $(am__cd) $(top_srcdir) && \
576           $(AUTOMAKE) --foreign modules/mpi/Makefile
577 .PRECIOUS: Makefile
578 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
579         @case '$?' in \
580           *config.status*) \
581             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
582           *) \
583             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
584             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
585         esac;
586
587 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
588         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
589
590 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
591         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
592 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
593         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
594 $(am__aclocal_m4_deps):
595 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
596         @$(NORMAL_INSTALL)
597         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
598         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
599         list2=; for p in $$list; do \
600           if test -f $$p; then \
601             list2="$$list2 $$p"; \
602           else :; fi; \
603         done; \
604         test -z "$$list2" || { \
605           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
606           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
607         }
608
609 uninstall-pkglibLTLIBRARIES:
610         @$(NORMAL_UNINSTALL)
611         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
612         for p in $$list; do \
613           $(am__strip_dir) \
614           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
615           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
616         done
617
618 clean-pkglibLTLIBRARIES:
619         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
620         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
621           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
622           test "$$dir" != "$$p" || dir=.; \
623           echo "rm -f \"$${dir}/so_locations\""; \
624           rm -f "$${dir}/so_locations"; \
625         done
626 libscimpi.la: $(libscimpi_la_OBJECTS) $(libscimpi_la_DEPENDENCIES) 
627         $(libscimpi_la_LINK) -rpath $(pkglibdir) $(libscimpi_la_OBJECTS) $(libscimpi_la_LIBADD) $(LIBS)
628 install-binPROGRAMS: $(bin_PROGRAMS)
629         @$(NORMAL_INSTALL)
630         test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
631         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
632         for p in $$list; do echo "$$p $$p"; done | \
633         sed 's/$(EXEEXT)$$//' | \
634         while read p p1; do if test -f $$p || test -f $$p1; \
635           then echo "$$p"; echo "$$p"; else :; fi; \
636         done | \
637         sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
638             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
639         sed 'N;N;N;s,\n, ,g' | \
640         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
641           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
642             if ($$2 == $$4) files[d] = files[d] " " $$1; \
643             else { print "f", $$3 "/" $$4, $$1; } } \
644           END { for (d in files) print "f", d, files[d] }' | \
645         while read type dir files; do \
646             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
647             test -z "$$files" || { \
648             echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
649             $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
650             } \
651         ; done
652
653 uninstall-binPROGRAMS:
654         @$(NORMAL_UNINSTALL)
655         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
656         files=`for p in $$list; do echo "$$p"; done | \
657           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
658               -e 's/$$/$(EXEEXT)/' `; \
659         test -n "$$list" || exit 0; \
660         echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
661         cd "$(DESTDIR)$(bindir)" && rm -f $$files
662
663 clean-binPROGRAMS:
664         @list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
665         echo " rm -f" $$list; \
666         rm -f $$list || exit $$?; \
667         test -n "$(EXEEXT)" || exit 0; \
668         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
669         echo " rm -f" $$list; \
670         rm -f $$list
671 mpi_pi$(EXEEXT): $(mpi_pi_OBJECTS) $(mpi_pi_DEPENDENCIES) 
672         @rm -f mpi_pi$(EXEEXT)
673         $(mpi_pi_LINK) $(mpi_pi_OBJECTS) $(mpi_pi_LDADD) $(LIBS)
674 mpitest$(EXEEXT): $(mpitest_OBJECTS) $(mpitest_DEPENDENCIES) 
675         @rm -f mpitest$(EXEEXT)
676         $(mpitest_LINK) $(mpitest_OBJECTS) $(mpitest_LDADD) $(LIBS)
677
678 mostlyclean-compile:
679         -rm -f *.$(OBJEXT)
680
681 distclean-compile:
682         -rm -f *.tab.c
683
684 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dboard.Po@am__quote@
685 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-build_buff_type.Plo@am__quote@
686 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-gw_mpi.Plo@am__quote@
687 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-mappingScilabMPI.Plo@am__quote@
688 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-s_mpi_recv.Plo@am__quote@
689 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-s_mpi_send.Plo@am__quote@
690 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Plo@am__quote@
691 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Plo@am__quote@
692 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-sci_mpi_finalize.Plo@am__quote@
693 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-sci_mpi_init.Plo@am__quote@
694 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-sci_mpi_recv.Plo@am__quote@
695 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscimpi_la-sci_mpi_send.Plo@am__quote@
696 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mpi_pi_send.Po@am__quote@
697 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mpitest.Po@am__quote@
698
699 .c.o:
700 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
701 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
702 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
703 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
704 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
705
706 .c.obj:
707 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
708 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
709 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
710 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
711 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
712
713 .c.lo:
714 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
715 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
716 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
717 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
718 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
719
720 libscimpi_la-sci_mpi_init.lo: sci_gateway/c/sci_mpi_init.c
721 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-sci_mpi_init.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-sci_mpi_init.Tpo -c -o libscimpi_la-sci_mpi_init.lo `test -f 'sci_gateway/c/sci_mpi_init.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_init.c
722 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscimpi_la-sci_mpi_init.Tpo $(DEPDIR)/libscimpi_la-sci_mpi_init.Plo
723 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_mpi_init.c' object='libscimpi_la-sci_mpi_init.lo' libtool=yes @AMDEPBACKSLASH@
724 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
725 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-sci_mpi_init.lo `test -f 'sci_gateway/c/sci_mpi_init.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_init.c
726
727 libscimpi_la-sci_mpi_finalize.lo: sci_gateway/c/sci_mpi_finalize.c
728 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-sci_mpi_finalize.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-sci_mpi_finalize.Tpo -c -o libscimpi_la-sci_mpi_finalize.lo `test -f 'sci_gateway/c/sci_mpi_finalize.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_finalize.c
729 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscimpi_la-sci_mpi_finalize.Tpo $(DEPDIR)/libscimpi_la-sci_mpi_finalize.Plo
730 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_mpi_finalize.c' object='libscimpi_la-sci_mpi_finalize.lo' libtool=yes @AMDEPBACKSLASH@
731 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
732 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-sci_mpi_finalize.lo `test -f 'sci_gateway/c/sci_mpi_finalize.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_finalize.c
733
734 libscimpi_la-sci_mpi_comm_size.lo: sci_gateway/c/sci_mpi_comm_size.c
735 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-sci_mpi_comm_size.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Tpo -c -o libscimpi_la-sci_mpi_comm_size.lo `test -f 'sci_gateway/c/sci_mpi_comm_size.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_comm_size.c
736 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Tpo $(DEPDIR)/libscimpi_la-sci_mpi_comm_size.Plo
737 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_mpi_comm_size.c' object='libscimpi_la-sci_mpi_comm_size.lo' libtool=yes @AMDEPBACKSLASH@
738 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
739 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-sci_mpi_comm_size.lo `test -f 'sci_gateway/c/sci_mpi_comm_size.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_comm_size.c
740
741 libscimpi_la-sci_mpi_comm_rank.lo: sci_gateway/c/sci_mpi_comm_rank.c
742 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-sci_mpi_comm_rank.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Tpo -c -o libscimpi_la-sci_mpi_comm_rank.lo `test -f 'sci_gateway/c/sci_mpi_comm_rank.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_comm_rank.c
743 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Tpo $(DEPDIR)/libscimpi_la-sci_mpi_comm_rank.Plo
744 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_mpi_comm_rank.c' object='libscimpi_la-sci_mpi_comm_rank.lo' libtool=yes @AMDEPBACKSLASH@
745 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
746 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-sci_mpi_comm_rank.lo `test -f 'sci_gateway/c/sci_mpi_comm_rank.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_comm_rank.c
747
748 libscimpi_la-gw_mpi.lo: sci_gateway/c/gw_mpi.c
749 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-gw_mpi.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-gw_mpi.Tpo -c -o libscimpi_la-gw_mpi.lo `test -f 'sci_gateway/c/gw_mpi.c' || echo '$(srcdir)/'`sci_gateway/c/gw_mpi.c
750 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscimpi_la-gw_mpi.Tpo $(DEPDIR)/libscimpi_la-gw_mpi.Plo
751 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_mpi.c' object='libscimpi_la-gw_mpi.lo' libtool=yes @AMDEPBACKSLASH@
752 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
753 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-gw_mpi.lo `test -f 'sci_gateway/c/gw_mpi.c' || echo '$(srcdir)/'`sci_gateway/c/gw_mpi.c
754
755 libscimpi_la-sci_mpi_recv.lo: sci_gateway/c/sci_mpi_recv.c
756 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-sci_mpi_recv.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-sci_mpi_recv.Tpo -c -o libscimpi_la-sci_mpi_recv.lo `test -f 'sci_gateway/c/sci_mpi_recv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_recv.c
757 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscimpi_la-sci_mpi_recv.Tpo $(DEPDIR)/libscimpi_la-sci_mpi_recv.Plo
758 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_mpi_recv.c' object='libscimpi_la-sci_mpi_recv.lo' libtool=yes @AMDEPBACKSLASH@
759 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
760 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-sci_mpi_recv.lo `test -f 'sci_gateway/c/sci_mpi_recv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_recv.c
761
762 libscimpi_la-sci_mpi_send.lo: sci_gateway/c/sci_mpi_send.c
763 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-sci_mpi_send.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-sci_mpi_send.Tpo -c -o libscimpi_la-sci_mpi_send.lo `test -f 'sci_gateway/c/sci_mpi_send.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_send.c
764 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscimpi_la-sci_mpi_send.Tpo $(DEPDIR)/libscimpi_la-sci_mpi_send.Plo
765 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_mpi_send.c' object='libscimpi_la-sci_mpi_send.lo' libtool=yes @AMDEPBACKSLASH@
766 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
767 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-sci_mpi_send.lo `test -f 'sci_gateway/c/sci_mpi_send.c' || echo '$(srcdir)/'`sci_gateway/c/sci_mpi_send.c
768
769 libscimpi_la-build_buff_type.lo: src/c/build_buff_type.c
770 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-build_buff_type.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-build_buff_type.Tpo -c -o libscimpi_la-build_buff_type.lo `test -f 'src/c/build_buff_type.c' || echo '$(srcdir)/'`src/c/build_buff_type.c
771 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscimpi_la-build_buff_type.Tpo $(DEPDIR)/libscimpi_la-build_buff_type.Plo
772 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/build_buff_type.c' object='libscimpi_la-build_buff_type.lo' libtool=yes @AMDEPBACKSLASH@
773 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
774 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-build_buff_type.lo `test -f 'src/c/build_buff_type.c' || echo '$(srcdir)/'`src/c/build_buff_type.c
775
776 libscimpi_la-s_mpi_recv.lo: src/c/s_mpi_recv.c
777 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-s_mpi_recv.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-s_mpi_recv.Tpo -c -o libscimpi_la-s_mpi_recv.lo `test -f 'src/c/s_mpi_recv.c' || echo '$(srcdir)/'`src/c/s_mpi_recv.c
778 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscimpi_la-s_mpi_recv.Tpo $(DEPDIR)/libscimpi_la-s_mpi_recv.Plo
779 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/s_mpi_recv.c' object='libscimpi_la-s_mpi_recv.lo' libtool=yes @AMDEPBACKSLASH@
780 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
781 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-s_mpi_recv.lo `test -f 'src/c/s_mpi_recv.c' || echo '$(srcdir)/'`src/c/s_mpi_recv.c
782
783 libscimpi_la-s_mpi_send.lo: src/c/s_mpi_send.c
784 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-s_mpi_send.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-s_mpi_send.Tpo -c -o libscimpi_la-s_mpi_send.lo `test -f 'src/c/s_mpi_send.c' || echo '$(srcdir)/'`src/c/s_mpi_send.c
785 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscimpi_la-s_mpi_send.Tpo $(DEPDIR)/libscimpi_la-s_mpi_send.Plo
786 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/s_mpi_send.c' object='libscimpi_la-s_mpi_send.lo' libtool=yes @AMDEPBACKSLASH@
787 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
788 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-s_mpi_send.lo `test -f 'src/c/s_mpi_send.c' || echo '$(srcdir)/'`src/c/s_mpi_send.c
789
790 libscimpi_la-mappingScilabMPI.lo: src/c/mappingScilabMPI.c
791 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -MT libscimpi_la-mappingScilabMPI.lo -MD -MP -MF $(DEPDIR)/libscimpi_la-mappingScilabMPI.Tpo -c -o libscimpi_la-mappingScilabMPI.lo `test -f 'src/c/mappingScilabMPI.c' || echo '$(srcdir)/'`src/c/mappingScilabMPI.c
792 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscimpi_la-mappingScilabMPI.Tpo $(DEPDIR)/libscimpi_la-mappingScilabMPI.Plo
793 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/mappingScilabMPI.c' object='libscimpi_la-mappingScilabMPI.lo' libtool=yes @AMDEPBACKSLASH@
794 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
795 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscimpi_la_CFLAGS) $(CFLAGS) -c -o libscimpi_la-mappingScilabMPI.lo `test -f 'src/c/mappingScilabMPI.c' || echo '$(srcdir)/'`src/c/mappingScilabMPI.c
796
797 mpi_pi_send.o: src/c/mpi_pi_send.c
798 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT mpi_pi_send.o -MD -MP -MF $(DEPDIR)/mpi_pi_send.Tpo -c -o mpi_pi_send.o `test -f 'src/c/mpi_pi_send.c' || echo '$(srcdir)/'`src/c/mpi_pi_send.c
799 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/mpi_pi_send.Tpo $(DEPDIR)/mpi_pi_send.Po
800 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/mpi_pi_send.c' object='mpi_pi_send.o' libtool=no @AMDEPBACKSLASH@
801 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
802 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o mpi_pi_send.o `test -f 'src/c/mpi_pi_send.c' || echo '$(srcdir)/'`src/c/mpi_pi_send.c
803
804 mpi_pi_send.obj: src/c/mpi_pi_send.c
805 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT mpi_pi_send.obj -MD -MP -MF $(DEPDIR)/mpi_pi_send.Tpo -c -o mpi_pi_send.obj `if test -f 'src/c/mpi_pi_send.c'; then $(CYGPATH_W) 'src/c/mpi_pi_send.c'; else $(CYGPATH_W) '$(srcdir)/src/c/mpi_pi_send.c'; fi`
806 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/mpi_pi_send.Tpo $(DEPDIR)/mpi_pi_send.Po
807 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/mpi_pi_send.c' object='mpi_pi_send.obj' libtool=no @AMDEPBACKSLASH@
808 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
809 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o mpi_pi_send.obj `if test -f 'src/c/mpi_pi_send.c'; then $(CYGPATH_W) 'src/c/mpi_pi_send.c'; else $(CYGPATH_W) '$(srcdir)/src/c/mpi_pi_send.c'; fi`
810
811 dboard.o: src/c/dboard.c
812 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT dboard.o -MD -MP -MF $(DEPDIR)/dboard.Tpo -c -o dboard.o `test -f 'src/c/dboard.c' || echo '$(srcdir)/'`src/c/dboard.c
813 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/dboard.Tpo $(DEPDIR)/dboard.Po
814 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/dboard.c' object='dboard.o' libtool=no @AMDEPBACKSLASH@
815 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
816 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o dboard.o `test -f 'src/c/dboard.c' || echo '$(srcdir)/'`src/c/dboard.c
817
818 dboard.obj: src/c/dboard.c
819 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT dboard.obj -MD -MP -MF $(DEPDIR)/dboard.Tpo -c -o dboard.obj `if test -f 'src/c/dboard.c'; then $(CYGPATH_W) 'src/c/dboard.c'; else $(CYGPATH_W) '$(srcdir)/src/c/dboard.c'; fi`
820 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/dboard.Tpo $(DEPDIR)/dboard.Po
821 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/dboard.c' object='dboard.obj' libtool=no @AMDEPBACKSLASH@
822 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
823 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o dboard.obj `if test -f 'src/c/dboard.c'; then $(CYGPATH_W) 'src/c/dboard.c'; else $(CYGPATH_W) '$(srcdir)/src/c/dboard.c'; fi`
824
825 mpitest.o: src/c/mpitest.c
826 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT mpitest.o -MD -MP -MF $(DEPDIR)/mpitest.Tpo -c -o mpitest.o `test -f 'src/c/mpitest.c' || echo '$(srcdir)/'`src/c/mpitest.c
827 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/mpitest.Tpo $(DEPDIR)/mpitest.Po
828 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/mpitest.c' object='mpitest.o' libtool=no @AMDEPBACKSLASH@
829 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
830 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o mpitest.o `test -f 'src/c/mpitest.c' || echo '$(srcdir)/'`src/c/mpitest.c
831
832 mpitest.obj: src/c/mpitest.c
833 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT mpitest.obj -MD -MP -MF $(DEPDIR)/mpitest.Tpo -c -o mpitest.obj `if test -f 'src/c/mpitest.c'; then $(CYGPATH_W) 'src/c/mpitest.c'; else $(CYGPATH_W) '$(srcdir)/src/c/mpitest.c'; fi`
834 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/mpitest.Tpo $(DEPDIR)/mpitest.Po
835 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/mpitest.c' object='mpitest.obj' libtool=no @AMDEPBACKSLASH@
836 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
837 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o mpitest.obj `if test -f 'src/c/mpitest.c'; then $(CYGPATH_W) 'src/c/mpitest.c'; else $(CYGPATH_W) '$(srcdir)/src/c/mpitest.c'; fi`
838
839 mostlyclean-libtool:
840         -rm -f *.lo
841
842 clean-libtool:
843         -rm -rf .libs _libs
844 install-libscimpi_la_etcDATA: $(libscimpi_la_etc_DATA)
845         @$(NORMAL_INSTALL)
846         test -z "$(libscimpi_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libscimpi_la_etcdir)"
847         @list='$(libscimpi_la_etc_DATA)'; test -n "$(libscimpi_la_etcdir)" || list=; \
848         for p in $$list; do \
849           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
850           echo "$$d$$p"; \
851         done | $(am__base_list) | \
852         while read files; do \
853           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscimpi_la_etcdir)'"; \
854           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscimpi_la_etcdir)" || exit $$?; \
855         done
856
857 uninstall-libscimpi_la_etcDATA:
858         @$(NORMAL_UNINSTALL)
859         @list='$(libscimpi_la_etc_DATA)'; test -n "$(libscimpi_la_etcdir)" || list=; \
860         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
861         test -n "$$files" || exit 0; \
862         echo " ( cd '$(DESTDIR)$(libscimpi_la_etcdir)' && rm -f" $$files ")"; \
863         cd "$(DESTDIR)$(libscimpi_la_etcdir)" && rm -f $$files
864 install-libscimpi_la_rootDATA: $(libscimpi_la_root_DATA)
865         @$(NORMAL_INSTALL)
866         test -z "$(libscimpi_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libscimpi_la_rootdir)"
867         @list='$(libscimpi_la_root_DATA)'; test -n "$(libscimpi_la_rootdir)" || list=; \
868         for p in $$list; do \
869           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
870           echo "$$d$$p"; \
871         done | $(am__base_list) | \
872         while read files; do \
873           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscimpi_la_rootdir)'"; \
874           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscimpi_la_rootdir)" || exit $$?; \
875         done
876
877 uninstall-libscimpi_la_rootDATA:
878         @$(NORMAL_UNINSTALL)
879         @list='$(libscimpi_la_root_DATA)'; test -n "$(libscimpi_la_rootdir)" || list=; \
880         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
881         test -n "$$files" || exit 0; \
882         echo " ( cd '$(DESTDIR)$(libscimpi_la_rootdir)' && rm -f" $$files ")"; \
883         cd "$(DESTDIR)$(libscimpi_la_rootdir)" && rm -f $$files
884 install-libscimpi_la_sci_gatewayDATA: $(libscimpi_la_sci_gateway_DATA)
885         @$(NORMAL_INSTALL)
886         test -z "$(libscimpi_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libscimpi_la_sci_gatewaydir)"
887         @list='$(libscimpi_la_sci_gateway_DATA)'; test -n "$(libscimpi_la_sci_gatewaydir)" || list=; \
888         for p in $$list; do \
889           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
890           echo "$$d$$p"; \
891         done | $(am__base_list) | \
892         while read files; do \
893           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscimpi_la_sci_gatewaydir)'"; \
894           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscimpi_la_sci_gatewaydir)" || exit $$?; \
895         done
896
897 uninstall-libscimpi_la_sci_gatewayDATA:
898         @$(NORMAL_UNINSTALL)
899         @list='$(libscimpi_la_sci_gateway_DATA)'; test -n "$(libscimpi_la_sci_gatewaydir)" || list=; \
900         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
901         test -n "$$files" || exit 0; \
902         echo " ( cd '$(DESTDIR)$(libscimpi_la_sci_gatewaydir)' && rm -f" $$files ")"; \
903         cd "$(DESTDIR)$(libscimpi_la_sci_gatewaydir)" && rm -f $$files
904 install-libscimpi_la_includeHEADERS: $(libscimpi_la_include_HEADERS)
905         @$(NORMAL_INSTALL)
906         test -z "$(libscimpi_la_includedir)" || $(MKDIR_P) "$(DESTDIR)$(libscimpi_la_includedir)"
907         @list='$(libscimpi_la_include_HEADERS)'; test -n "$(libscimpi_la_includedir)" || list=; \
908         for p in $$list; do \
909           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
910           echo "$$d$$p"; \
911         done | $(am__base_list) | \
912         while read files; do \
913           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libscimpi_la_includedir)'"; \
914           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libscimpi_la_includedir)" || exit $$?; \
915         done
916
917 uninstall-libscimpi_la_includeHEADERS:
918         @$(NORMAL_UNINSTALL)
919         @list='$(libscimpi_la_include_HEADERS)'; test -n "$(libscimpi_la_includedir)" || list=; \
920         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
921         test -n "$$files" || exit 0; \
922         echo " ( cd '$(DESTDIR)$(libscimpi_la_includedir)' && rm -f" $$files ")"; \
923         cd "$(DESTDIR)$(libscimpi_la_includedir)" && rm -f $$files
924
925 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
926         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
927         unique=`for i in $$list; do \
928             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
929           done | \
930           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
931               END { if (nonempty) { for (i in files) print i; }; }'`; \
932         mkid -fID $$unique
933 tags: TAGS
934
935 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
936                 $(TAGS_FILES) $(LISP)
937         set x; \
938         here=`pwd`; \
939         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
940         unique=`for i in $$list; do \
941             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
942           done | \
943           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
944               END { if (nonempty) { for (i in files) print i; }; }'`; \
945         shift; \
946         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
947           test -n "$$unique" || unique=$$empty_fix; \
948           if test $$# -gt 0; then \
949             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
950               "$$@" $$unique; \
951           else \
952             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
953               $$unique; \
954           fi; \
955         fi
956 ctags: CTAGS
957 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
958                 $(TAGS_FILES) $(LISP)
959         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
960         unique=`for i in $$list; do \
961             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
962           done | \
963           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
964               END { if (nonempty) { for (i in files) print i; }; }'`; \
965         test -z "$(CTAGS_ARGS)$$unique" \
966           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
967              $$unique
968
969 GTAGS:
970         here=`$(am__cd) $(top_builddir) && pwd` \
971           && $(am__cd) $(top_srcdir) \
972           && gtags -i $(GTAGS_ARGS) "$$here"
973
974 distclean-tags:
975         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
976
977 distdir: $(DISTFILES)
978         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
979         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
980         list='$(DISTFILES)'; \
981           dist_files=`for file in $$list; do echo $$file; done | \
982           sed -e "s|^$$srcdirstrip/||;t" \
983               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
984         case $$dist_files in \
985           */*) $(MKDIR_P) `echo "$$dist_files" | \
986                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
987                            sort -u` ;; \
988         esac; \
989         for file in $$dist_files; do \
990           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
991           if test -d $$d/$$file; then \
992             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
993             if test -d "$(distdir)/$$file"; then \
994               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
995             fi; \
996             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
997               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
998               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
999             fi; \
1000             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1001           else \
1002             test -f "$(distdir)/$$file" \
1003             || cp -p $$d/$$file "$(distdir)/$$file" \
1004             || exit 1; \
1005           fi; \
1006         done
1007 check-am: all-am
1008         $(MAKE) $(AM_MAKEFLAGS) check-local
1009 check: check-am
1010 all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(DATA) $(HEADERS) \
1011                 all-local
1012 installdirs:
1013         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(libscimpi_la_etcdir)" "$(DESTDIR)$(libscimpi_la_rootdir)" "$(DESTDIR)$(libscimpi_la_sci_gatewaydir)" "$(DESTDIR)$(libscimpi_la_includedir)"; do \
1014           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1015         done
1016 install: install-am
1017 install-exec: install-exec-am
1018 install-data: install-data-am
1019 uninstall: uninstall-am
1020
1021 install-am: all-am
1022         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1023
1024 installcheck: installcheck-am
1025 install-strip:
1026         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1027           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1028           `test -z '$(STRIP)' || \
1029             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
1030 mostlyclean-generic:
1031
1032 clean-generic:
1033
1034 distclean-generic:
1035         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1036         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1037
1038 maintainer-clean-generic:
1039         @echo "This command is intended for maintainers to use"
1040         @echo "it deletes files that may require special tools to rebuild."
1041 clean: clean-am
1042
1043 clean-am: clean-binPROGRAMS clean-generic clean-libtool clean-local \
1044         clean-pkglibLTLIBRARIES mostlyclean-am
1045
1046 distclean: distclean-am
1047         -rm -rf ./$(DEPDIR)
1048         -rm -f Makefile
1049 distclean-am: clean-am distclean-compile distclean-generic \
1050         distclean-local distclean-tags
1051
1052 dvi: dvi-am
1053
1054 dvi-am:
1055
1056 html: html-am
1057
1058 html-am:
1059
1060 info: info-am
1061
1062 info-am:
1063
1064 install-data-am: install-data-local install-libscimpi_la_etcDATA \
1065         install-libscimpi_la_includeHEADERS \
1066         install-libscimpi_la_rootDATA \
1067         install-libscimpi_la_sci_gatewayDATA
1068
1069 install-dvi: install-dvi-am
1070
1071 install-dvi-am:
1072
1073 install-exec-am: install-binPROGRAMS install-pkglibLTLIBRARIES
1074
1075 install-html: install-html-am
1076
1077 install-html-am: install-html-local
1078
1079 install-info: install-info-am
1080
1081 install-info-am:
1082
1083 install-man:
1084
1085 install-pdf: install-pdf-am
1086
1087 install-pdf-am:
1088
1089 install-ps: install-ps-am
1090
1091 install-ps-am:
1092
1093 installcheck-am:
1094
1095 maintainer-clean: maintainer-clean-am
1096         -rm -rf ./$(DEPDIR)
1097         -rm -f Makefile
1098 maintainer-clean-am: distclean-am maintainer-clean-generic
1099
1100 mostlyclean: mostlyclean-am
1101
1102 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1103         mostlyclean-libtool
1104
1105 pdf: pdf-am
1106
1107 pdf-am:
1108
1109 ps: ps-am
1110
1111 ps-am:
1112
1113 uninstall-am: uninstall-binPROGRAMS uninstall-libscimpi_la_etcDATA \
1114         uninstall-libscimpi_la_includeHEADERS \
1115         uninstall-libscimpi_la_rootDATA \
1116         uninstall-libscimpi_la_sci_gatewayDATA \
1117         uninstall-pkglibLTLIBRARIES
1118
1119 .MAKE: check-am install-am install-strip
1120
1121 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1122         clean clean-binPROGRAMS clean-generic clean-libtool \
1123         clean-local clean-pkglibLTLIBRARIES ctags distclean \
1124         distclean-compile distclean-generic distclean-libtool \
1125         distclean-local distclean-tags distdir dvi dvi-am html html-am \
1126         info info-am install install-am install-binPROGRAMS \
1127         install-data install-data-am install-data-local install-dvi \
1128         install-dvi-am install-exec install-exec-am install-html \
1129         install-html-am install-html-local install-info \
1130         install-info-am install-libscimpi_la_etcDATA \
1131         install-libscimpi_la_includeHEADERS \
1132         install-libscimpi_la_rootDATA \
1133         install-libscimpi_la_sci_gatewayDATA install-man install-pdf \
1134         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1135         install-ps-am install-strip installcheck installcheck-am \
1136         installdirs maintainer-clean maintainer-clean-generic \
1137         mostlyclean mostlyclean-compile mostlyclean-generic \
1138         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1139         uninstall-am uninstall-binPROGRAMS \
1140         uninstall-libscimpi_la_etcDATA \
1141         uninstall-libscimpi_la_includeHEADERS \
1142         uninstall-libscimpi_la_rootDATA \
1143         uninstall-libscimpi_la_sci_gatewayDATA \
1144         uninstall-pkglibLTLIBRARIES
1145
1146
1147 # This target enables tests for Scilab
1148 check-local: $(top_builddir)/scilab-bin
1149         @COMMAND="test_run('$(modulename)');quit";\
1150         export LANG=C;\
1151         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1152 check-code:
1153         if test -f build.xml; then \
1154                 $(ANT) checkstyle; \
1155         fi
1156         if test -x "$(SPLINT)"; then \
1157                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1158         fi
1159 @NEED_JAVA_TRUE@java:
1160 # Some configurations needs to export JAVA_HOME in the current env
1161 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1162 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1163 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1164 @NEED_JAVA_TRUE@                $(ANT); \
1165 @NEED_JAVA_TRUE@        fi
1166
1167 @NEED_JAVA_TRUE@clean-java:
1168 # Some configurations needs to export JAVA_HOME in the current env
1169 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1170 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1171 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1172 @NEED_JAVA_TRUE@                $(ANT) clean; \
1173 @NEED_JAVA_TRUE@        fi;
1174
1175 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1176 # We call the target swig-build on the variable SWIG_WRAPPERS
1177
1178 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1179 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1180 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1181 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1182 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1183 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1184 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1185 @SWIG_TRUE@             done; \
1186 @SWIG_TRUE@     fi
1187
1188 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1189 # We call the target swig-build on the variable SWIG_WRAPPERS
1190
1191 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1192 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1193 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1194 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1195 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1196 @GIWS_TRUE@                     $(GIWS_BIN) --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1197 @GIWS_TRUE@             done; \
1198 @GIWS_TRUE@     fi
1199
1200 macros:
1201         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1202                 echo "Error : Cannot build $< : Scilab has not been built"; \
1203         else \
1204                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1205         fi)
1206
1207 # Removes the macros
1208 clean-macros:
1209 # Removes macros (*.bin generated from .sci)
1210         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1211                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1212                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1213         done
1214
1215 all-local: $(TARGETS_ALL)
1216
1217 .sci.bin:
1218         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1219         echo "Error : Cannot build $< : Scilab has not been build"; \
1220         else \
1221         echo "Creating $@"; \
1222         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1223         fi )
1224
1225 install-html-local:
1226 # If the user wants the help sources to be installed
1227 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1228 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1229 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1230 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1231 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1232 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1233 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1234 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1235 @INSTALL_HELP_XML_TRUE@           done ; \
1236 @INSTALL_HELP_XML_TRUE@         fi; \
1237 @INSTALL_HELP_XML_TRUE@  fi; \
1238 @INSTALL_HELP_XML_TRUE@ done; \
1239 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1240 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1241 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1242 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1243 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1244 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1245 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1246 @INSTALL_HELP_XML_TRUE@           done ; \
1247 @INSTALL_HELP_XML_TRUE@         fi; \
1248 @INSTALL_HELP_XML_TRUE@ fi
1249 install-data-local:
1250 # Install the tests
1251         @echo "-------- Install tests (if any) --------"; \
1252         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1253           if test -d $(srcdir)/$$dir/; then \
1254             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1255                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1256                     if test -d "$(srcdir)/$$dir/$$file"; then \
1257                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1258                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1259                     else \
1260                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1261                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1262                     fi \
1263                   done; \
1264           fi; \
1265         done
1266 # Install the help chapter
1267         @echo "-------- Install the help chapter (if any) --------"; \
1268         for lang in $(HELP_CHAPTERLANG); do \
1269                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1270                 if test -f $$HELPFILE; then \
1271                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1272                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1273                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1274                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1275                 fi; \
1276         done
1277 # Install the demos & examples
1278         @echo "-------- Install demos & examples (if any) --------"; \
1279         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1280           if test -d $(srcdir)/$$dir/; then \
1281             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1282                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1283                     if test -d "$(srcdir)/$$dir/$$file"; then \
1284                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1285                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1286                     else \
1287                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1288                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1289                     fi \
1290                   done; \
1291           fi; \
1292         done
1293 # Install the macros
1294         @echo "-------- Install macros (if any) --------"; \
1295         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1296           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1297                 if test -d $(srcdir)/$$dir/; then \
1298                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1299                         if test -n "$(MACROSSPECIALEXT)"; then \
1300                                 for specialExt in $(MACROSSPECIALEXT); do \
1301                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1302                                 done; \
1303                                 FILELIST="$$FILELIST $$specialExtDir"; \
1304                         fi; \
1305                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1306                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1307                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1308                   done; \
1309                 fi; \
1310         done
1311 # Install java files (.jar)
1312         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1313         echo "-------- Install jar files --------"; \
1314     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1315           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1316                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1317                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1318           done ; \
1319         fi
1320
1321 ########### CLEAN ###################
1322 # Clean macros and help (generated automatically by Scilab)
1323 @NEED_JAVA_TRUE@clean-local: clean-java clean-macros
1324 @NEED_JAVA_FALSE@clean-local: clean-macros
1325
1326 distclean-local:
1327         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1328
1329 .PHONY: macros java swig giws
1330
1331 # Provides macros compilation, Java compilation, cleaning
1332
1333 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1334 # Otherwise a system limit (for SysV at least) may be exceeded.
1335 .NOEXPORT: